OpenTTD Source: FontCacheSettings Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
FontCacheSettings Struct Reference

Settings for the four different fonts. More...

`#include <fontcache.h>`

## Data Fields
FontCacheSubSetting | small
| The smallest font; mostly used for zoomed out view.
FontCacheSubSetting | medium
| The normal font size.
FontCacheSubSetting | large
| The largest font; mostly used for newspapers.
FontCacheSubSetting | mono
| The mono space font used for license/readme viewers.
bool | prefer_sprite
| Whether to prefer the built-in sprite font over resizable fonts.
bool | global_aa
| Whether to anti alias all font sizes.

## Detailed Description

Settings for the four different fonts.

Definition at line 180 of file fontcache.h.

## Field Documentation

## ◆ global_aa

bool FontCacheSettings::global_aa

Whether to anti alias all font sizes.

Definition at line 186 of file fontcache.h.

Referenced by GameOptionsWindow::OnClick(), and GameOptionsWindow::OnInvalidateData().

## ◆ large

FontCacheSubSetting FontCacheSettings::large

The largest font; mostly used for newspapers.

Definition at line 183 of file fontcache.h.

Referenced by GetFontCacheSubSetting().

## ◆ medium

FontCacheSubSetting FontCacheSettings::medium

The normal font size.

Definition at line 182 of file fontcache.h.

Referenced by CheckForMissingGlyphs(), and GetFontCacheSubSetting().

## ◆ mono

FontCacheSubSetting FontCacheSettings::mono

The mono space font used for license/readme viewers.

Definition at line 184 of file fontcache.h.

Referenced by CheckForMissingGlyphs(), and GetFontCacheSubSetting().

## ◆ prefer_sprite

bool FontCacheSettings::prefer_sprite

Whether to prefer the built-in sprite font over resizable fonts.

Definition at line 185 of file fontcache.h.

Referenced by GetFontCacheFontName(), GameOptionsWindow::OnClick(), and GameOptionsWindow::OnInvalidateData().

## ◆ small

FontCacheSubSetting FontCacheSettings::small

The smallest font; mostly used for zoomed out view.

Definition at line 181 of file fontcache.h.

Referenced by GetFontCacheSubSetting().

The documentation for this struct was generated from the following file:

- src/fontcache.h